Create secret

Creates a secret in a store. Requires scope: secret-store.write.

Authentication

AuthorizationBearer

IBEE platform API token, for example: ibee_live_xxx.

Path parameters

store_idstringRequired
Secret store ID.

Query parameters

workspace_idstringRequired
The workspace ID to scope this request to.

Request

This endpoint expects an object.
secret_namestringRequiredformat: "^[a-z0-9][a-z0-9-]{1,63}$"2-64 characters
Unique name for the secret within the store. Lowercase alphanumeric and hyphens only.
valuemap from strings to anyRequired

Key-value pairs containing the secret data.

Response

Secret created successfully.
idstring
organization_idstring
workspace_idstring
store_idstring
store_keystring
secret_namestring
statusenum
created_atdatetime
updated_atdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error